/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.basher.example.tasks;

import net.sourceforge.basher.tasks.AbstractTask;

/**
 * @author Johan Lindquist
 * @version 1.0
 */
public class HelloWorldTask extends AbstractTask
{
    public void doExecuteTask()
    {
        _log.info("Hello World!");
    }

    public String getName()
    {
        return "HelloWorld";
    }

    public int getMaxTime()
    {
        return 10;
    }

}